package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag196;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT196Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT196Creator mt196Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt196Creator = (MT196Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt196Creator.getNarrative();
        mt196Creator.set("77A", tag77AValue);
    }
}
